Create a new integration for the sandbox.
curl --request POST \
--url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.createIntegration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.createIntegration"
payload = {
"id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', name: '<string>'})
};
fetch('https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.createIntegration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"webhookUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}Integrations
Create Integration
POST
/
io.pocketenv.sandbox.createIntegration
Create a new integration for the sandbox.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Unique identifier of the integration.
The name of the integration, e.g. 'GitHub', 'Slack', 'Trello', etc.
The webhook URL of the integration.
The timestamp when the integration was created.
The timestamp when the integration was last updated.
Was this page helpful?
⌘I
